import type { ComponentProps } from 'react'
import { useRenderCount } from '@react-hookz/web'

export function RenderCount(props: ComponentProps<'span'>) {
  const renderCount = useRenderCount()
  return <span {...props}>{renderCount}</span>
}
